[SRU] webbrowser app and webcontainer open under the same instance

Bug #1577806 reported by Sergio Schvezov on 2016-05-03
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
webbrowser-app (Ubuntu)
Critical
Alexandre Abreu
Xenial
Critical
Alexandre Abreu
Yakkety
Critical
Alexandre Abreu

Bug Description

[Impact]

On desktop, when a webapp is launched and if the desktop Exec file does not specify a --app-id= parameter to the webapp-container executable, any new launched application will share the same instance as one that has already been launched.

[Test Case]

1. Install two webapps on desktop that use the webapp-container as a launcher,

e.g.

https://code.launchpad.net/~abreu-alexandre/+junk/webapp-test

and

https://code.launchpad.net/~ogra/+junk/slack-webapp

2. Make sure that when you launch the slack-webapp nothing happens
(no app id is provided the app is not launched),

3. Modify the slack app so that the Exec= line contains the following argument:

--app-id=slackclient

re-install the app,

4. Make sure that the 2 apps can be launched simultaneously,

[Regression Potential]

All webapps that dont provide an app-id wont start anymore. All current
webapps though do provide an app-id.

Original report description:
---------------------------

I have on xenial the webbrowser-app as my main browser; if I use the webapp-container for anything else it opens as a tab in the main browser window. If I open a container instance first, opening the webbrowser app opens a new tab in the container instance.

One webcontainer example to use is http://bazaar.launchpad.net/~ogra/+junk/slack-webapp/files

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: webbrowser-app 0.23+16.04.20160413-0ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
Uname: Linux 4.4.0-21-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
CurrentDesktop: Unity
Date: Tue May 3 11:47:05 2016
InstallationDate: Installed on 2015-08-17 (259 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
SourcePackage: webbrowser-app
UpgradeStatus: Upgraded to xenial on 2015-11-06 (179 days ago)

Related branches

Sergio Schvezov (sergiusens) wrote :
description: updated
Olivier Tilloy (osomon) on 2016-05-03
Changed in webbrowser-app (Ubuntu):
status: New → Confirmed
importance: Undecided → Critical
assignee: nobody → Olivier Tilloy (osomon)
Olivier Tilloy (osomon) wrote :

This happens because the app id is not set for the webapp, thus defaulting to "webbrowser-app".
A workaround is to specify the app id on the command line used to launch the webapp, e.g.:

    webapp-container --app-id=slack https://ubuntu.slack.com/

  or

    APP_ID=slack webapp-container https://ubuntu.slack.com/

In any case, the absence of an app ID should not default to opening the URL in the browser, that’s completely unexpected and needs to be fixed in the browser/webapp-container.

Olivier Tilloy (osomon) wrote :

And this is similar to bug #1574884.

Changed in webbrowser-app (Ubuntu):
assignee: Olivier Tilloy (osomon) → Alexandre Abreu (abreu-alexandre)
Changed in webbrowser-app (Ubuntu):
status: Confirmed → In Progress
Olivier Tilloy (osomon) wrote :

Note: with Alex’s branch, it will become mandatory to pass an explicit app id when invoking the webapp container (that’s under unity7, under unity8 UAL will automatically set the APP_ID env var).

description: updated
summary: - webbrowser app and webcontainer open under the same instance
+ SRU: webbrowser app and webcontainer open under the same instance

This bug was fixed in the package webbrowser-app - 0.23+16.10.20160526-0ubuntu1

---------------
webbrowser-app (0.23+16.10.20160526-0ubuntu1) yakkety; urgency=medium

  [ Alexandre Abreu ]
  * Fix account logic translation typo
  * Fix container/webbrowser app_id; Properly set applicationname based
    on package name and app name (LP: #1574884, #1577806)

  [ CI Train Bot ]
  * Resync trunk.

 -- Alexandre Abreu <email address hidden> Thu, 26 May 2016 17:01:10 +0000

Changed in webbrowser-app (Ubuntu):
status: In Progress → Fix Released
summary: - SRU: webbrowser app and webcontainer open under the same instance
+ [SRU] webbrowser app and webcontainer open under the same instance
Will Cooke (willcooke) on 2016-06-30
Changed in webbrowser-app (Ubuntu):
milestone: none → ubuntu-16.04.1
milestone: ubuntu-16.04.1 → none
Changed in webbrowser-app (Ubuntu Xenial):
assignee: nobody → Alexandre Abreu (abreu-alexandre)
importance: Undecided → Critical
status: New → In Progress
milestone: none → ubuntu-16.04.1

Hello Sergio, or anyone else affected,

Accepted webbrowser-app into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/webbrowser-app/0.23+16.04.20161028-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in webbrowser-app (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Olivier Tilloy (osomon) wrote :

Tested and verified in an up-to-date xenial amd64 VM, with webbrowser-app 0.23+16.04.20161028-0ubuntu1.

I can launch several webapps and the webbrowser-app in parallel, provided all the webapps invoke webapp-container with a unique --app-id parameter.

tags: added: verification-done
removed: verification-needed
Changed in webbrowser-app (Ubuntu Xenial):
milestone: ubuntu-16.04.1 → none
Steve Langasek (vorlon) wrote :

Hello Sergio, or anyone else affected,

Accepted webbrowser-app into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/webbrowser-app/0.23+16.04.20161028-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Olivier Tilloy (osomon) wrote :

Tested and verified in an up-to-date xenial amd64 VM, with webbrowser-app 0.23+16.04.20161028-0ubuntu2.

I can launch several webapps and the webbrowser-app in parallel, provided all the webapps invoke webapp-container with a unique --app-id parameter.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webbrowser-app - 0.23+16.04.20161028-0ubuntu2

---------------
webbrowser-app (0.23+16.04.20161028-0ubuntu2) xenial; urgency=medium

  * SRU for selected bug fixes:
    - LP: #1565055: support for google hangouts
    - LP: #1573017: SAML detection logic broken in webapp container
    - LP: #1572673: invalid variable access error in webapp container
    - LP: #1466427: dynamic Ubuntu version in default UA string
    - LP: #1576639: fine-tune the custom memory-pressure handler
    - LP: #1581025: secure connection icon not showing
    - LP: #1580290: only load the current tab when the session is restored
    - LP: #1577806: browser and container open under the same instance
    - LP: #1565063: dynamic Chromium version in default UA string

 -- Olivier Tilloy <email address hidden> Fri, 28 Oct 2016 09:17:33 +0000

Changed in webbrowser-app (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for webbrowser-app has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers